Subject: bug#557 closed by Glenn Morris <[email-masked]> (Re: bug#557: gud/gdb not interacting properly with remote source file)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#557: gud/gdb not interacting properly with remote source file

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
557: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=557
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Tue Jul 15 14:53:05 2008
From: Glenn Morris <[email-masked]>
To: Nick Roberts <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#557: gud/gdb not interacting properly with remote source file
Date: Tue, 15 Jul 2008 17:52:26 -0400

Nick Roberts wrote:

> Can someone please close this bug and/or tell me if/how I can close it?

You change the "To: 577@emacsbugs" to "To: 577-done@emacsbugs". (I did
this in this message). See admin/notes/bugtracker.

>From [email-masked] Sun Jul 13 19:57:37 2008
Date: Sun, 13 Jul 2008 19:57:28 -0700 (PDT)
From: vapnik spaknik <[email-masked]>
Subject: gud/gdb not interacting properly with remote source file
To: [email-masked]

--0-1724398418-1216004248=:73907
Content-Type: text/plain; charset=us-ascii

--text follows this line--
This bug report will be sent to the Free Software Foundation,
not to your local site managers!
Please write in English, because the Emacs maintainers do not have
translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

In GNU Emacs 21.4.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2007-06-19 on ninsei, modified by Debian
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--with-x=yes' '--with-x-toolkit=athena' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2''
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I open a remote c file using tramp.
>From within that buffer I do: M-x gdb
and invoke gdb on the executable associated with the c file 
(the executable contains appropriate debugging symbols)
The gud buffer opens correctly and typing "list" and "info source" 
indicates that gdb has the correct source file loaded.
I go to the source buffer in emacs and set a breakpoint using C-x <SPC>
in the gud buffer I see that the breakpoint has been set correctly.
But then when I try stepping through the code using "next", 
a new empty buffer is created whose file path (according to the buffer list) 
is similar to the path of the remote source, except that it is local, 
i.e. instead of "me@remote:/home/me/file.c" it is "/home/me/file.c"
Any further stepping through the code in the gud buffer brings up the new empty
buffer which contains a small white arrow in the left margin as it would 
do normally, except this time it is pointing to an empty line. 
The buffer containing the remote source file does not indicate the point of execution, 
but still allows me to set breakpoints with C-x <SPC>.

If I try debugging with a local file it works fine.

Recent input:
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> n <mouse-movement> <mouse-movement> 
<mouse-movement> <return> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <help-echo> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> <mouse-movement> 
<mouse-movement> <mouse-movement> M-x e m a c s - r 
e p <tab> o <tab> <M-backspace> <M-backspace> r e p 
o r t <tab> <return>

Recent messages:
Loading view...done
Loading eieio-opt (compiled; note, source file is newer)...done
call-interactively: Quit
Type M-x switch-to-buffer-other-window RET to restore the other window.  C-M-v to scroll the help.
Commands: d, s, x, u; f, o, 1, 2, m, v; ~, %; q to quit; ? for help. [3 times]
Mark set
Mark saved where search started [2 times]
gud-query-cmdline: Quit
Command: next 1 [3 times]
Loading emacsbug...done
--0-1724398418-1216004248=:73907
Content-Type: text/html; charset=us-ascii

<html><head><style type="text/css"><!-- DIV {margin:0px;} --></style></head><body><div style="font-family:times new roman, new york, times, serif;font-size:12pt">--text follows this line--<br>This bug report will be sent to the Free Software Foundation,<br>not to your local site managers!<br>Please write in English, because the Emacs maintainers do not have<br>translators to read other languages for them.<br><br>Your bug report will be posted to the [email-masked] mailing list,<br>and to the gnu.emacs.bug news group.<br><br>In GNU Emacs 21.4.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)<br>&nbsp;of 2007-06-19 on ninsei, modified by Debian<br>configured using `configure&nbsp; '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--with-x=yes' '--with-x-toolkit=athena'
 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2''<br>Important settings:<br>&nbsp; value of $LC_ALL: nil<br>&nbsp; value of $LC_COLLATE: nil<br>&nbsp; value of $LC_CTYPE: nil<br>&nbsp; value of $LC_MESSAGES: nil<br>&nbsp; value of $LC_MONETARY: nil<br>&nbsp; value of $LC_NUMERIC: nil<br>&nbsp; value of $LC_TIME: nil<br>&nbsp; value of $LANG: en_GB.UTF-8<br>&nbsp; locale-coding-system: utf-8<br>&nbsp; default-enable-multibyte-characters: t<br><br>Please describe exactly what actions triggered the bug<br>and the precise symptoms of the bug:<br><br>I open a remote c file using tramp.<br>From within that buffer I do: M-x gdb<br>and invoke gdb on the executable associated with the c file <br>(the executable contains appropriate debugging symbols)<br>The gud buffer opens correctly and typing "list" and "info source" <br>indicates that gdb has the correct source file loaded.<br>I go to the source buffer in emacs and set a
 breakpoint using C-x &lt;SPC&gt;<br>in the gud buffer I see that the breakpoint has been set correctly.<br>But then when I try stepping through the code using "next", <br>a new empty buffer is created whose file path (according to the buffer list) <br>is similar to the path of the remote source, except that it is local, <br>i.e. instead of "me@remote:/home/me/file.c" it is "/home/me/file.c"<br>Any further stepping through the code in the gud buffer brings up the new empty<br>buffer which contains a small white arrow in the left margin as it would <br>do normally, except this time it is pointing to an empty line. <br>The buffer containing the remote source file does not indicate the point of execution, <br>but still allows me to set breakpoints with C-x &lt;SPC&gt;.<br><br>If I try debugging with a local file it works fine.<br><br><br><br><br><br>Recent input:<br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt;
 <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; n &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;return&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt;
 <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;help-echo&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; &lt;mouse-movement&gt; <br>&lt;mouse-movement&gt; &lt;mouse-movement&gt; M-x e m a c s - r <br>e p &lt;tab&gt; o &lt;tab&gt; &lt;M-backspace&gt; &lt;M-backspace&gt; r e p <br>o r t &lt;tab&gt; &lt;return&gt;<br><br>Recent messages:<br>Loading
 view...done<br>Loading eieio-opt (compiled; note, source file is newer)...done<br>call-interactively: Quit<br>Type M-x switch-to-buffer-other-window RET to restore the other window.&nbsp; C-M-v to scroll the help.<br>Commands: d, s, x, u; f, o, 1, 2, m, v; ~, %; q to quit; ? for help. [3 times]<br>Mark set<br>Mark saved where search started [2 times]<br>gud-query-cmdline: Quit<br>Command: next 1 [3 times]<br>Loading emacsbug...done<br><br></div></body></html>
--0-1724398418-1216004248=:73907--